Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452310 - UnicodeDecodeError on "Could not retrieve mirrorlist %s error was\n%s"
Summary: UnicodeDecodeError on "Could not retrieve mirrorlist %s error was\n%s"
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 20:35 UTC by Eloy Casin
Modified: 2014-01-21 23:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 527393 (view as bug list)
Environment:
Last Closed: 2008-11-07 20:19:41 UTC


Attachments (Terms of Use)

Description Eloy Casin 2008-06-20 20:35:40 UTC
Description of problem: When make an "yum update" a problem appears


Version-Release number of selected component (if applicable):
yum-3.2.16-2.fc9.noarch


How reproducible:
yum update

Steps to Reproduce:
1.yum update

  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 241, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 116, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 307, in doCommands
    self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 99, in _getTs
    self._getTsInfo()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 105, in _getTsInfo
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 578, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 421, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 245, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 149, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 203, in
_check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 935, in
_check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1093, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1085, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1075, in _loadRepoXML
    return self._groupLoadRepoXML(text, ["primary"])
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1059, in
_groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 911, in
_commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 779, in
_getFileRepoXML
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 650, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 463, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 458, in _getgrab
    self._setupGrab()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 447, in _setupGrab
    self._grab = mgclass(self._grabfunc, self.urls,
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 555, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 552, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 510, in _baseurlSetup
    mirrorurls.extend(self._getMirrorList())
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1268, in
_getMirrorList
    print "Could not retrieve mirrorlist %s error was\n%s" % (url, e)
  File "/usr/lib64/python2.5/codecs.py", line 303, in write
    data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 204:
ordinal not in range(128)

Expected results:


Additional info:

Comment 1 James Antill 2008-08-07 19:35:48 UTC
 What locale are you running in?

Comment 2 Thomas Zine 2008-09-15 14:18:23 UTC
I see the same issue:
Linux 2.6.25.14-108.fc9.x86_64 #1 SMP  x86_64 x86_64 x86_64 GNU/Linux
yum-3.0.1-5.el5
yum-utils-1.0.4-3.el5
yum-protectbase-1.0.4-3.el5
yum-updatesd-3.0.1-5.el5
yum-security-1.0.4-3.el5
yum-updateonboot-1.0.4-3.el5
yum-metadata-parser-1.0-8.fc6
yum-kmod-1.0.4-3.el5
yum-downloadonly-1.0.4-3.el5
yum-versionlock-1.0.4-3.el5
yum-rhn-plugin-0.5.2-3.el5
yum-skip-broken-1.0.4-3.el5
yum-changelog-1.0.4-3.el5

English local with others installed:
kde-i18n-Bengali-3.5.4-1
kde-i18n-Russian-3.5.4-1
kde-i18n-Romanian-3.5.4-1
kde-i18n-Bulgarian-3.5.4-1
kde-i18n-Norwegian-3.5.4-1
kde-i18n-Icelandic-3.5.4-1
kde-i18n-Catalan-3.5.4-1
kde-i18n-Estonian-3.5.4-1
kde-i18n-Dutch-3.5.4-1
kde-i18n-Hungarian-3.5.4-1
kde-i18n-Lithuanian-3.5.4-1
kde-i18n-Italian-3.5.4-1
kde-i18n-Polish-3.5.4-1
kde-i18n-Slovenian-3.5.4-1
kde-i18n-Tamil-3.5.4-1
kde-i18n-Japanese-3.5.4-1
kde-i18n-Brazil-3.5.4-1
kde-i18n-Hindi-3.5.4-1
kde-i18n-Serbian-3.5.4-1
kde-i18n-Czech-3.5.4-1
kde-i18n-Hebrew-3.5.4-1
kde-i18n-Norwegian-Nynorsk-3.5.4-1
kde-i18n-Punjabi-3.5.4-1
kde-i18n-Chinese-Big5-3.5.4-1
kde-i18n-British-3.5.4-1
kde-i18n-Slovak-3.5.4-1
kde-i18n-Portuguese-3.5.4-1
kde-i18n-Greek-3.5.4-1
kde-i18n-Swedish-3.5.4-1
kde-i18n-Danish-3.5.4-1
kde-i18n-German-3.5.4-1
kde-i18n-Arabic-3.5.4-1
kde-i18n-Turkish-3.5.4-1
kde-i18n-Korean-3.5.4-1
kde-i18n-Finnish-3.5.4-1
kde-i18n-Ukrainian-3.5.4-1
kde-i18n-Chinese-3.5.4-1
kde-i18n-French-3.5.4-1
kde-i18n-Spanish-3.5.4-1

Comment 3 Thomas Zine 2008-09-19 14:01:06 UTC
downgrading to 3.2.14-10 from 3.2.19-3 on yum 
and following the dependencies got yum back.

Comment 4 seth vidal 2008-11-07 20:19:41 UTC
Please try to replicate this on yum 3.2.20 from here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=68060

if it still happens, please repopen this bug
thanks


Note You need to log in before you can comment on or make changes to this bug.